Summary:	An open and reliable container runtime
Name:		containerd
Version:	1.7.24
Release:	1
License:	Apache v2.0
Group:		Applications
Source0:	https://github.com/containerd/containerd/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c7df2f3f6100256f5ee2304ce298cb66
Patch0:		systemd.patch
URL:		https://containerd.io/
BuildRequires:	golang >= 1.21
BuildRequires:	linux-libc-headers >= 7:4.12
BuildRequires:	rpmbuild(macros) >= 2.009
Requires:	runc >= 1.1.13
ExclusiveArch:	%go_arches
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_debugsource_packages	0

%description
containerd is an industry-standard container runtime with an emphasis
on simplicity, robustness and portability. It is available as a daemon
for Linux and Windows, which can manage the complete container
lifecycle of its host system: image transfer and storage, container
execution and supervision, low-level storage and network attachments,
etc.

%prep
%setup -q
%patch0 -p1

%build
%{__make} binaries \
	VERSION="%{version}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{systemdunitdir}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT" \
	PREFIX="%{_prefix}"

cp -p containerd.service $RPM_BUILD_ROOT%{systemdunitdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post containerd.service

%preun
%systemd_preun containerd.service

%postun
%systemd_reload

%triggerpostun -- %{name} < 1.6.0-2
%systemd_trigger containerd.service

%files
%defattr(644,root,root,755)
%doc {ADOPTERS,BUILDING,README,RELEASES,ROADMAP,SCOPE}.md
%attr(755,root,root) %{_bindir}/containerd
%attr(755,root,root) %{_bindir}/containerd-shim
%attr(755,root,root) %{_bindir}/containerd-shim-runc-v1
%attr(755,root,root) %{_bindir}/containerd-shim-runc-v2
%attr(755,root,root) %{_bindir}/containerd-stress
%attr(755,root,root) %{_bindir}/ctr
%{systemdunitdir}/containerd.service
%changelog
* Thu Nov 28 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/containerd.git;a=log;h=master

* Sun Nov 24 2024 Jan Palus <atler@pld-linux.org> 1b30871
- up to 1.7.24

* Sat Nov 02 2024 Jan Palus <atler@pld-linux.org> 72ee130
- up to 1.7.23

* Sat Sep 21 2024 Jan Palus <atler@pld-linux.org> a45d638
- up to 1.7.22

* Wed Aug 21 2024 Jan Palus <atler@pld-linux.org> 963668f
- uses kernel headers for btrfs support now

* Wed Aug 21 2024 Jan Palus <atler@pld-linux.org> 215301d
- update required runc version

* Wed Aug 21 2024 Jan Palus <atler@pld-linux.org> fcf2f18
- up to 1.7.20

* Wed Aug 21 2024 Jan Palus <atler@pld-linux.org> 2d418da
- package systemd unit

* Tue Mar 01 2022 Jan Palus <atler@pld-linux.org> 95e0185
- new

